<template>
  <v-card>
    <v-card-title class="d-flex align-center justify-space-between">
      <div class="d-flex align-center">
        <feather-icon size="18" icon="GitCommitIcon" class="mr-2" />
        {{ project.name }}
      </div>
      
      <v-tooltip bottom v-if="['developer', 'user', 'root'].includes(user.rol.toLowerCase())">
        <template v-slot:activator="{ on, attrs }">
          <v-btn 
            v-bind="attrs"
            v-on="on"
            variant="text"
            color="primary"
            icon
            :href="project.web_url"
            target="_blank"
          >
            <feather-icon icon="ExternalLinkIcon" size="18" />
          </v-btn>
        </template>
        <span>Go to GitLab Project</span>
      </v-tooltip>
    </v-card-title>

    <v-card-text>
      <schedule-table-component :route="route" :project-id="project.id" />
    </v-card-text>
  </v-card>
</template>

<script>
import GitApiCall from "@/api/gitApi";
import ScheduleTableComponent from "@/components/gitlab/ScheduleTableComponent.vue";

export default {
  name: "ScheduleListComponent",
  components: {
    ScheduleTableComponent
  },
  props: {
    route: {
      type: String,
      default: "vendors",
    },
  },
  data() {
    return {
      user: { username: "", rol: "" },
      projectId: 0,
      project: {},
    };
  },
  mounted() {
    this.user = this.$store.state.user;
    this.projectId = this.$route.params.project_id;
    this.getProject();
  },
  methods: {
    async getProject() {
      try {
        const gitApi = new GitApiCall();
        const response = await gitApi.getSingleProject(this.projectId);
        this.project = response.data;
        console.log("getProject this.project:", this.project);
      } catch (error) {
        console.error("getProject error:", error);
      }
    },
  },
};
</script>

<style scoped>
.id {
  width: 100%;
  margin-left: 25%;
  margin-bottom: 5%;
  margin-top: 5%;
  display: block;
}

tr {
  border-top: 1px solid #ebe9f1;
}
</style>
